%% hallway
function h = hallway()

xdata1 = [0 6; 0 6];
ydata1 = [0 0; 0 0];
zdata1 = [0 0; 8 8];
cream = [0.85 0.71 0.58];
dkbrown = [0.25 0.2 0.1]/2;
dht = 0.75;
ec = 'none';
% back wall
h(1) = surface(xdata1,ydata1,zdata1,'FaceColor',cream*0.9,'EdgeColor','k');
xdata1 = [0 0; 0 0];
ydata1 = [0 90; 0 90];
zdata1 = [dht dht; 8 8];
% right wall
h(2) = surface(xdata1,ydata1,zdata1,'FaceColor',cream,'EdgeColor',ec);
zdata1 = [0 0; dht dht];
% right edge strip
h(3) = surface(xdata1,ydata1,zdata1,'FaceColor',dkbrown,'EdgeColor',ec);
xdata1 = [6 6; 6 6];
% keft edge struo
h(4) = surface(xdata1,ydata1,zdata1,'FaceColor',dkbrown,'EdgeColor',ec);
zdata1 = [ dht dht; 8 8];
% left wall
h(5) = surface(xdata1,ydata1,zdata1,'FaceColor',cream,'EdgeColor',ec);

xdata1 = [0 6; 0 6];
ydata1 = [0 0; 90 90];
zdata1 = [8 8; 8 8];
% ceiling
h(6) = surface(xdata1,ydata1,zdata1,'FaceColor',[1 1 0.9]*0.9,'EdgeColor',ec);
zdata1 = [0 0; 0 0];
% floor
h(7) = surface(xdata1,ydata1,zdata1,'FaceColor',[0.3 0.4 0.3],'EdgeColor',ec);


