%% script5c (hallway model 4)

%%
close all
clear

hallway

g = imread('pat2s.jpg');
rgb = cat(3,g,g,g);
rgb = flipdim(rgb,1);

% Place patterns
N = 200;
[xdata zdata] = meshgrid(linspace(4,2,N),linspace(2,4,N));
ydata = zeros(size(xdata));
h(8) = surface(xdata,ydata,zdata,rgb,'FaceColor','texturemap','EdgeColor','none');
% photos on floor
ydata = flipdim(zdata,1);
zdata = zeros(size(xdata));
rgb2 = imread('img2.jpg');
rgb2 = flipdim(rgb2,1);
h(9) = surface(xdata+1.5,ydata+11,zdata,rgb2,'FaceColor','texturemap','EdgeColor','none');
rgb3 = imread('img3.jpg');
rgb3 = flipdim(rgb3,1);
h(10) = surface(xdata-1.5,ydata+7.5,zdata,rgb3,'FaceColor','texturemap','EdgeColor','none');
% photo left wall
zdata = flipdim(ydata,1);
ydata = flipdim(xdata,2);
xdata = ones(size(xdata))*6;
rgb4 = imrotate(imread('vis4ud.jpg'),180);
h(11) = surface(xdata,ydata+9,zdata+0.5,rgb4,'FaceColor','texturemap','EdgeColor','none');


campos([2 23 4]);
camtarget([4 0 1]);
camup([0 0 1]);
camproj('perspective');
camva(40);
set(gcf,'renderer','zbuffer')
axis equal
axis off
N = 640;
set(gcf,'Position',[100 100 N N]);
set(gca,'Position',[0 0 1 1]);


%%

f = getframe(gcf);
% nf = nf + 1;
% filename = ['image_' int2str(nf) '.jpg'];
filename = 'script5c.jpg';
imwrite(f.cdata,filename);
imwrite(imresize(f.cdata,300/N),'script5c_small.jpg');




